### Signal

# Soup Message::hsts-enforced

#### Declaration

    void
    hsts_enforced (
      SoupMessage* self,
      gpointer user_data
    )

#### Description [src]

Emitted when `SoupHSTSEnforcer` has upgraded the protocol for `msg` to HTTPS as a result of matching its domain with a HSTS policy.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.